Kaiten
Service accounts

Get a service account by slug

Retrieve details of a specific service account (machine user) by its slug.

GET
/service-accounts/{serviceAccountSlug}

Path Parameters

serviceAccountSlug*string

Service account slug

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://demo.kaiten.sh/service-accounts/service-account-slug"
{
  "createdAt": "2019-08-24T14:15:22Z",
  "createdBy": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "John Doe"
  },
  "externalId": "string",
  "id": "string",
  "name": "string",
  "slug": "string",
  "tokens": [
    {
      "createdAt": "2019-08-24T14:15:22Z",
      "createdBy": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "John Doe"
      },
      "expiresAt": "2019-08-24T14:15:22Z",
      "id": "string",
      "name": "string",
      "revokedAt": "2019-08-24T14:15:22Z",
      "revokedBy": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "John Doe"
      },
      "scopes": [
        "string"
      ],
      "serviceAccountId": "string",
      "slug": "string"
    }
  ]
}
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}